#include <iostream.h>
#include <math.h>  
  int main()
 {
  int n;
  bool flag;
  while(true)//死循环
  {
	do
	{
	 cout<<"请输入一个偶数："<<endl;
	 cin>>n;
	}while(n==2||n%2==1);//过滤器,滤掉奇数
	if(n==0)//输入0则终止循环
	{
	 cout<<"程序终止执行！"<<endl;
	 break;
	}
	for(int i=2;i<=n/2;i++)//n=i+n-i
	{
	 flag=true;
	 for(int j=2;j<=sqrt(i);j++)
	  if(i%j==0)//i不是质数
	  {
	   flag=false;	//标志法
	   break;//退出测试i的循环
	  }
	 if(flag==false) //上去继续寻找i	
	  continue;
	 for(j=2;j<=sqrt(n-i);j++)//i已经是质数，现在检测n-i
	  if((n-i)%j==0)
	  {
	   flag=false;
	   break;
	  }
	 if(flag==true)//找到合乎要求的两个质数
	  cout<<n<<" = "<<i<<" + "<<n-i<<endl;
	}
 }
 return(0);
}